### Method

# Gtk TreeSelectionselect_range

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_selection_select_range (
      GtkTreeSelection* selection,
      GtkTreePath* start_path,
      GtkTreePath* end_path
    )

#### Description [src]

Selects a range of nodes, determined by `start_path` and `end_path` inclusive. `selection` must be set to `GTK_SELECTION_MULTIPLE` mode.

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

#### Parameters

`start_path`

  Type: `GtkTreePath`

  The initial node of the range.

  The data is owned by the caller of the method.

`end_path`

  Type: `GtkTreePath`

  The final node of the range.

  The data is owned by the caller of the method.